[maemo-developers] Xephyr dependencies stop progress...

From: Zoran Kolic zkolic at sbb.co.yu
Date: Thu Mar 22 18:20:48 EET 2007
> Thanks to Paul Klapperich's suggestion, I was able to use 'alien' to 
> create an RPM file out of the DEB file.  Now I am back in dependency 
> hell.  Xephyr depends on
> error: Failed dependencies:
>         libXau.so.6 is needed by xserver-xephyr-1.1.1-21
>         libXdmcp.so.6 is needed by xserver-xephyr-1.1.1-21
>         libfontenc.so.1 is needed by xserver-xephyr-1.1.1-21
> even after installing libXdmcp-1.0.1

That's the fun of life. Anyway, would be fine to make a little investigation
in this direction, prior to install. Almost all apps have manuals and depend
lists in readme or similar. I recall myself, when I installed tones of libs,
just to have not so useful program, that I removed few days later. Some sys-
tems have ports and all info in "Makefile" and "pkg-descr". Not linux, you
know. Debian gives it, when you try to find app in repository.
I want to say that you could automate the process, for the sake of your nervs.


More information about the maemo-developers mailing list